Package org.mariadb.jdbc.message.client

## Class SslRequestPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.SslRequestPacket

All Implemented Interfaces:
  `ClientMessage`

    public final class SslRequestPacket
    extends Object
    implements ClientMessage

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SslRequestPacket` `create​(long clientCapabilities, byte exchangeCharset)`
`int` `encode​(PacketWriter writer, Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.client.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket`

### Method Detail

#### create

    public static SslRequestPacket create​(long clientCapabilities,
                                          byte exchangeCharset)

#### encode

    public int encode​(PacketWriter writer,
                      Context context)
               throws IOException

Specified by:
  `encode` in interface `ClientMessage`
Throws:
  `IOException`